KAutoUnmount class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAutoUnmount Class Reference

This class implements synchronous unmounting of devices, It is a wrapper around the asychronous KIO::special() call for unmount, used by KMimeType. This class implements synchronous unmounting of devices,. More...

`#include <kautomount.h>`

Inheritance diagram for KAutoUnmount:

[legend]
Collaboration diagram for KAutoUnmount:

[legend]
List of all members.

## Signals
void | finished ()
| Emitted when the directory has been unmounted.
void | error ()
| Emitted in case the directory could not been unmounted.
## Public Member Functions
| KAutoUnmount (const QString &mountpoint, const QString &desktopFile)
| Unmounts a device.
## Protected Slots
void | slotResult (KIO::Job *)

## Detailed Description

This class implements synchronous unmounting of devices, It is a wrapper around the asychronous KIO::special() call for unmount, used by KMimeType. This class implements synchronous unmounting of devices,.

Definition at line 81 of file kautomount.h.

## Constructor & Destructor Documentation

KAutoUnmount::KAutoUnmount | ( | const QString & | mountpoint,
|  | const QString & | desktopFile
| ) |

  | Unmounts a device. Parameters:
  mountpoint | the mount point - KAutoUnmount finds the device from that
  desktopFile | the file the user clicked on - to notify KDirWatch of the fact that it should emit fileDirty for it (to have the icon change)
Definition at line 74 of file kautomount.cpp. References QObject::connect(), and KIO::unmount().

## Member Function Documentation

void KAutoUnmount::finished | ( |  | ) | `[signal]`

| Emitted when the directory has been unmounted.

void KAutoUnmount::error | ( |  | ) | `[signal]`

| Emitted in case the directory could not been unmounted.

The documentation for this class was generated from the following files:

- kautomount.h
- kautomount.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:11 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001